gdal_translate(1)

NAME
gdal_translate - gdal_translate converts raster data between different formats

SYNOPSIS

gdal_translate [--help-general]
       [-ot {Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/
             CInt16/CInt32/CFloat32/CFloat64}] [-not_strict]
       [-of format] [-b band] [-outsize xsize[%] ysize[%]]
       [-scale [src_min src_max [dst_min dst_max]]]
       [-srcwin xoff yoff xsize ysize] [-projwin ulx uly lrx lry]
       [-a_srs srs_def] [-a_ullr ulx uly lrx lry] [-a_nodata value]
       [-gcp pixel line easting northing]*
       [-mo "META-TAG=VALUE"]* [-quiet] [-sds]
       [-co "NAME=VALUE"]*
       src_dataset dst_dataset

DESCRIPTION

The gdal_translate utility can be used to convert raster data between different formats, potentially performing some operations like subsettings, resampling, and rescaling pixels in the process.

-ot: type
    For the output bands to be of the indicated data type.

-not_strict:
    Be forgiving of mismatches and lost data when translating to the output format.

-of format:
    Select the output format. The default is GeoTIFF (GTiff). Use the short format name.

-b band:
    Select an input band band for output. Bands are numbered from 1 Multiple -b switches may be used to select a set of input bands to write to the output file, or to reorder bands.

-outsize xsize[%] ysize[%]:
    Set the size of the output file. Outsize is in pixels and lines unless '' is attached in which case it is as a fraction of the input image size.

-scale [src_min src_max [dst_min dst_max]]:
    Rescale the input pixels values from the range src_min to src_max to the range dst_min to dst_max. If omitted the output range is 0 to 255. If omitted the input range is automatically computed from the source data.

-srcwin xoff yoff xsize ysize:
    Selects a subwindow from the source image for copying based on pixel/line location.

-projwin ulx uly lrx lry:
    Selects a subwindow from the source image for copying (like -srcwin) but with the corners given in georeferenced coordinates.

-a_srs srs_def:
    Override the projection for the output file. The srs_def may be any of the usual GDAL/OGR forms, complete WKT, PROJ.4, EPSG:n or a file containing the WKT.

-a_ullr ulx uly lrx lry:
    Assign/override the georeferenced bounds of the output file. This assigns georeferenced bounds to the output file, ignoring what would have been derived from the source file.

-a_nodata value:
    Assign a specified nodata value to output bands.

-mo 'META-TAG=VALUE':
    Passes a metadata key and value to set on the output dataset if possible.

-co 'NAME=VALUE':
    Passes a creation option to the output format driver. Multiple -co options may be listed. See format specific documentation for legal creation options for each format.

-gcp pixel line easting northing:
    Add the indicated ground control point to the output dataset. This option may be provided multiple times to provide a set of GCPs.

-quiet:
    Suppress progress monitor and other non-error output.

-sds:
    Copy all subdatasets of this file to individual output files. Use with formats like HDF or OGDI that have subdatasets.

src_dataset:
    The source file name.

dst_dataset:
    The destination file name.

EXAMPLE

gdal_translate -of GTiff -co "TILED=YES" utm.tif utm_tiled.tif

AUTHORS

Frank Warmerdam <warmerdam@pobox.com>, Silke Reimer <silke@intevation.de>